.form-container {
    width: 100%;
    max-width: 500px;
    margin: 20px 0;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
    background-color: #f9f9f9;
    text-align: left;
}
.form-group {
    margin-bottom: 15px;
}
.form-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}
.form-group input, .form-group select .form-group textarea {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.form-group textarea {
    width: 100%;
    box-sizing: border-box;
    resize: vertical;
}

.form-btn {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    margin: 10px;
    background-color: #007BFF;
    color: white;
}
.form-btn:hover {
    opacity: 0.9;
}
.form-btn:disabled {
    background-color: gray;
}
.form-btn-green:enabled {
    background-color: green;
}
.form-btn-group-centered {
    text-align: center;
}        
.form-btn-red:enabled {
    background-color: red;
}
.form-btn-group-centered {
    text-align: center;
}
.form-text-green-bold {
    color: green;
    font-weight: bold;
}

.form-url-display {
    display: block;
    width: 100%;
    max-width: 100%;
    overflow-wrap: anywhere;
    word-break: break-word;
    box-sizing: border-box;
}